Name:           perl-Net-Amazon
Version:        0.61
Release:        2%{?dist}
Summary:        Framework for accessing amazon.com via REST
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Amazon/
Source0:        http://www.cpan.org/authors/id/B/BO/BOUMENOT/Net-Amazon-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Log::Log4perl) >= 0.3
BuildRequires:  perl(LWP::UserAgent) >= 2
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(URI)
BuildRequires:  perl(XML::Simple) >= 2.08
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Net::Amazon provides an object-oriented interface to amazon.com's REST
interface. This way it's possible to create applications using Amazon's vast
amount of data via a functional interface, without having to worry about the
underlying communication mechanism.

%prep
%setup -q -n Net-Amazon-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.61-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 29 2011 Iain Arnell <iarnell@gmail.com> 0.61-1
- update to latest upstream version

* Sun Aug 14 2011 Iain Arnell <iarnell@gmail.com> 0.60-1
- update to latest upstream version
- clean up spec for modern rpmbuild
- use perl_default_filter

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.59-5
- Perl mass rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.59-4
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.59-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.59-2
- rebuild against perl 5.10.1

* Sat Nov 07 2009 Iain Arnell <iarnell@gmail.com> 0.59-1
- update to latest upstream version

* Sat Sep 12 2009 Iain Arnell <iarnell@gmail.com> 0.57-1
- update to latest upstream

* Wed Aug 05 2009 Iain Arnell <iarnell@gmail.com> 0.55-1
- update to latest upstream

* Thu Jul 30 2009 Jesse Keating <jkeating@redhat.com> - 0.54-2
- Bump for F12 mass rebuild

* Wed Jun 24 2009 Iain Arnell <iarnell@gmail.com> 0.54-1
- update to latest upstream

* Sat Jun 13 2009 Iain Arnell <iarnell@gmail.com> 0.52-1
- update to latest upstream

* Sat Jun 06 2009 Iain Arnell <iarnell@gmail.com> 0.51-1
- update to latest upstream

* Sun May 10 2009 Iain Arnell 0.50-1
- Specfile autogenerated by cpanspec 1.77.
